> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/online-payments/advanced-payment-methods-apms/paypal/your-first-transaction-with-paypal/paypal-capture-payment.md).

# PayPal Capture payment

To successfully capture a payment for an already created transaction, the buyer must first approve the order.

{% hint style="info" %}
Valid JWT Token is required to make the API call.
{% endhint %}

## Required fields <a href="#required__00a0card__00a0processing-fields" id="required__00a0card__00a0processing-fields"></a>

There are no required fields for the Capture API.

## Optional fields <a href="#optional__00a0fields" id="optional__00a0fields"></a>

* agreementId - Billing Agreement ID. **Used only for reference transactions.**
* description - An informational note about the capture. Appears in both the payer's transaction  history and the emails that the payer receives.
* amount - The `amount` object tells the amount to capture. If not provided, full capture will be performed. In this object, the fields are:
  * amount.value - Amount to capture. Always expects integer (112 will be 1.12 for USD/ EUR. For most currencies, 1000 is equal to 10; it depends on the number of digits after the decimal separator. You can see the list of all currencies [here](https://en.wikipedia.org/wiki/ISO_4217#Active_codes)).
  * amount.currencyCode - Currency code (ISO-4217)

Here is an example POST */transactions/{id}/capture* request that can be used for capturing a transaction payment:

* **POST** `/transactions/{id}/capture`

```json
{
  "amount" : {
    "value": 52,
    "currencyCode": "USD"
  }
}
```

{% hint style="info" %}
You can make the request with an empty body. In that case, full amount will be captured.
{% endhint %}

The response for capturing transaction payment will look like this:

```json
{  
   "id": "08d7c6da-f49e-41e8-bc7b-1faed116bc42",
   "captureId": "7GC71528R83703259",
   "createdAt": "2021-02-01T11:16:07Z",
   "isFinalCapture": true,
   "status": "AUTHORISED"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verifone.com/online-payments/advanced-payment-methods-apms/paypal/your-first-transaction-with-paypal/paypal-capture-payment.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
